# War-News-Aggregator

## Some time ago
Current status:
  * created dummy express app that serves http content
  ( https://expressjs.com/en/starter/generator.html )
  * setup Github CI pipeline that is triggered at every pull request and commit
  on main
  * created test suite that is run at every pipeline trigger, we use mocha
  atm for tests. to create a new test, add a new file in test/ and run
  `npm run test`

Future work:
  * continue to write the backend app
  * do we need a CD pipeline?
  * what is the best framework for our needs with regards to unit testing
  or other types of testing?
  
CI/CD pipeline:
  * build the backend app
  * test the app
  * [create a container with the app and push it to docker hub](https://levelup.gitconnected.com/automated-deployment-using-docker-github-actions-and-webhooks-54018fc12e32?gi=f575a8446604)
  * to deploy the application we must pull the containers from docker hub
  and using a docker-compose file run the application on the server (be it
  localhost or a remote server)
  * other containers that we need: [frontend app deployed on ngninx container](https://www.mobycrypt.com/setup-frontend-application-on-nginx-in-5-minutes/),
  database container
  * the frontend app will be developed in a different repository and for database
  we will need to pull a container and link it to our backend in docker-compose

## May 08
Current status:
  * try to integrate rabbitmq: [How to use RabbitMQ and Node.js with Docker and Docker-compose](https://geshan.com.np/blog/2021/07/rabbitmq-docker-nodejs/)
  * integrated rabbitmq in the backend. we should have an arhitectural diagram to reflect that

## May 10
Current status:
  * integrated auth0 in backend
  * working on integrating logging support (prometheus + graphana)

Planning:
  * need to add a build/compile/'check for errors' stage in the pipeline

## May 12
Current status:
  * try to integrate prometheus + grafana

Planning:
  * add build stage in pipeline (if possible)
  * think about what info to print in the grafana dashboard

## May 15
Current status:
  * connected to postgres database
  * created stubs for endpoints

Planning:
  * implement endpoints

## May 17
Current status:
  * implemented all endpoints

Planning:
  * add jwtCheck in db_server to protect the endpoints
  * solve bugs that might appear when FE calls the endpoints
  * integrate nginx/kong in our solution

## May 18
Current status:
  * integrated kong in backend
  * add jwtCheck in db_server to protect the endpoints
  * add endpoints for get_news_by_id and get_question_by_id

Planning:
  * configure dashboards for grafana (kong has a predefined dashboard too)
  * research triggers for rabbitmq + add email for user in submit_post endpoint
  * implement delete_news (if needed)
  * put logs for db_server requests

## May 19
Current status:
  * add mailsender service that sends a mail to the post op when someone adds a new commment
  * put logs for db_server requests

Planning:
  * why do kong request take so long?
  * enhancements on mailsender mail text
  * configure dashboards for grafana (kong has a predefined dashboard too)
  * publish mailsender on dockerhub in github pipeline

## May 20
Current status:
  * publish mailsender on dockerhub in github pipeline
  * enhancements on mailsender mail text (did not solve because it's unclear)

Planning:
  * why do kong request take so long? (solve after Bibi gives access to FE)
  * configure dashboards for grafana (kong has a predefined dashboard too)

## May 21
Current status:
  * created container for frontend + connected fe with be
  * create some predefined content for the demo
  * why do kong request take so long? (this issues is not reproductible on my setup)

Planning:
  * configure dashboards for grafana (kong has a predefined dashboard too)
  * delete endpoint does not work at the moment

## May 21
Current status:
  * moved frontend in this repo
  * finished configuring dashboard for grafana
  * droped admin permission from backend (the authorization is granted from frontend)
