var express = require('express');
var logger = require('morgan');
const cors = require('cors');

var app = express();

var pg = require('./db/postgres');
var mq = require('./mq/rmq');
var statRouter = require('./routes/stats');

app.use(express.json());
app.use(logger('dev'));

// set CORS options
const corsOptions = {
   origin:'*',
   credentials:true,            //access-control-allow-credentials:true
   optionSuccessStatus:200,
}
app.use(cors(corsOptions));

app.use(express.urlencoded({ extended: false }));

app.use('/', statRouter);

mq.startRMQ();

pg.pool.query('SELECT $1::text as name', ['Hello, World!'], (err, result) => {
  if (err) {
    return console.error('Error executing query', err.stack)
  }
  console.log(result.rows[0].name)
})

module.exports = app;
