var express = require('express');
var router = express.Router();
var db = require('../db/postgres');

router.post('/stat_submit_post', function(req, res, next) {
    if (!req.body) {
        res.status(400).send({
            message: "Content can not be empty!"
        });
        return;
    }

    const post = {
        title:       req.body.title,
        url:         req.body.url || '',
        author:      req.body.author,
        description: req.body.description || ''
    };
    var queryString = "SELECT id FROM news "
        + "WHERE title='" + post.title + "' AND url='" + post.url + "' AND "
        + "author='" + post.author + "' AND description='" + post.description + "'"

    function queryFun() {
        db.pool.query(queryString , (_err, _res) => {
            if (_err) {
                res.status(400).send({
                    msg: "The submit_post completed with errors!"
                });
            } else {
                if (_res.rowCount === 0) {
                    console.log("Trying to trigger select statement again!");
                    return setTimeout(queryFun, 1000);
                }
                res.status(200).send({
                    msg: "The submit_post completed successfully!"
                });
            }
        });
    }

    queryFun();
});

router.post('/stat_add_comment', function(req, res, next) {
    if (!req.body) {
        res.status(400).send({
            message: "Content can not be empty!"
        });
        return;
    }

    const comm = {
        ts:      req.body.ts,
        content: req.body.content,
        author:  req.body.author,
        news_id: req.body.news_id
    };

    db.pool.query(`SELECT id FROM comments
        WHERE ts=to_timestamp(${comm.ts} / 1000.0) AND content='${comm.content}' AND
        author='${comm.author}' AND news_id=${comm.news_id}`
        , (_err, _res) => {
            if (_err) {
                res.status(400).send({
                    msg: "The add_comment completed with errors!"
                });
            } else {
                if (_res.rowCount > 0) {
                    res.status(200).send({
                        msg: "The add_comment completed successfully!"
                    });
                } else {
                    res.status(400).send({
                        msg: "The stat_add_comment completed with errors!"
                    });
                }
            }
        });
});

router.get('/get_news', (req, res, next) => {
    db.pool.query("SELECT news.id, news.title, news.url, news.author, news.description, count(comments.news_id) as nr_comments " +
        "FROM news LEFT JOIN comments ON (news.id = comments.news_id) " +
        "WHERE url <> '' " +
        "GROUP BY news.id"
        , (_err, _res) => {
            if (_err) {
                res.status(200).json([]);
            } else {
                res.status(200).json(_res.rows);
            }
        });
});

router.get('/get_news_by_id/:news_id', (req, res, next) => {
    if (!req.params) {
        res.status(400).send({
            message: "Query params can not be empty!"
        });
        return;
    }

    var news_id = req.params.news_id;

    db.pool.query(`SELECT news.id, news.title, news.url, news.author, news.description, count(comments.news_id) as nr_comments
        FROM news LEFT JOIN comments ON (news.id = comments.news_id)
        WHERE url <> '' AND news.id = ${news_id}
        GROUP BY news.id`
        , (_err, _res) => {
            if (_err) {
                res.status(400).send({
                    msg: "Error while fetching news!"
                });
            } else {
                res.status(200).json(_res.rows[0]);
            }
        });
});

router.get('/get_questions', (req, res, next) => {
    db.pool.query("SELECT news.id, news.title, news.author, news.description, count(comments.news_id) as nr_comments " +
        "FROM news LEFT JOIN comments ON (news.id = comments.news_id) " +
        "WHERE (url <> '') IS NOT TRUE " +
        "GROUP BY news.id"
        , (_err, _res) => {
            if (_err) {
                res.status(200).json([]);
            } else {
                res.status(200).json(_res.rows);
            }
        });
});

router.get('/get_questions_by_id/:news_id', (req, res, next) => {
    if (!req.params) {
        res.status(400).send({
            message: "Query params can not be empty!"
        });
        return;
    }

    var news_id = req.params.news_id;

    db.pool.query(`SELECT news.id, news.title, news.author, news.description, count(comments.news_id) as nr_comments
        FROM news LEFT JOIN comments ON (news.id = comments.news_id)
        WHERE (url <> '') IS NOT TRUE AND news.id = ${news_id}
        GROUP BY news.id`
        , (_err, _res) => {
            if (_err) {
                res.status(400).send({
                    msg: "Error while fetching questions!"
                });
            } else {
                res.status(200).json(_res.rows[0]);
            }
        });
});

router.get('/get_comments/:news_id', (req, res, next) => {
    if (!req.params) {
        res.status(400).send({
            message: "Query params can not be empty!"
        });
        return;
    }

    var news_id = req.params.news_id;

    db.pool.query(`SELECT comments.id, comments.ts, comments.content, comments.author
        FROM comments
        WHERE comments.news_id=${news_id}`
        , (_err, _res) => {
            if (_err) {
                res.status(200).json([]);
            } else {
                res.status(200).json(_res.rows);
            }
        });
});

router.post('/stat_delete_comment/:news_id/:comment_id', function(req, res, next) {
    if (!req.params) {
        res.status(400).send({
            message: "Query params can not be empty!"
        });
        return;
    }

    const settings = {
        news_id: req.params.news_id,
        comment_id: req.params.comment_id
    };

    db.pool.query("SELECT id FROM comments " +
        `WHERE comments.news_id=${settings.news_id} AND comments.id=${settings.comment_id}`
        , (_err, _res) => {
            if (_err) {
                res.status(400).send({
                    msg: "The add_comment completed with errors!"
                });
            } else {
                if (_res.rowCount === 0) {
                    res.status(200).send({
                        msg: "The add_comment completed successfully!"
                    });
                } else {
                    res.status(400).send({
                        msg: "The stat_add_comment completed with errors!"
                    });
                }
            }
        });
});

module.exports = router;
