import Vue from 'vue';
import VueRouter from 'vue-router';
import SubmitPage from '@/features/submit/SubmitPage.vue';
import NewsPage from '@/features/news/NewsPage.vue';
import QuestionsPage from '@/features/questions/QuestionsPage.vue';
import NewsThreadPage from '@/features/news/NewsThreadPage.vue'
import QuestionThreadPage from '@/features/questions/QuestionThreadPage.vue';

Vue.use(VueRouter);

const routes = [
    {
        path: '/',
        redirect: '/news',
    },
    {
        path: '/news',
        name: 'News',
        component: NewsPage,
    },
    {
        path: '/thread/:threadId',
        name: 'NewsThread',
        component: NewsThreadPage,
    },
    {
        path: '/questions',
        name: 'Questions',
        component: QuestionsPage,
    },
    {
        path: '/question/:questionId',
        name: 'QuestionThread',
        component: QuestionThreadPage,
    },
    {
        path: '/submit',
        name: 'Submit',
        component: SubmitPage,
    },
];

const router = new VueRouter({
    mode: 'history',
    base: process.env.BASE_URL,
    routes,
});

export default router;
