import CommentsService from '@/services/comments.js'

export const namespaced = true;

export const state = {
    comments: null,
};

export const mutations = {
    SET_COMMENTS(state, payload) {
        state.comments = payload;
    } 
};

export const actions = {
    async getAllComments({commit}, id) {
        try {
            commit('SET_COMMENTS', null);
            const response = await CommentsService.getComments(id);
            commit('SET_COMMENTS', response.data);
        } catch (error) {
            console.log(error)
        }
    },
};

export const getters = {
    comments: (state) => state.comments,
};
