import NewsService from '@/services/news.js'

export const namespaced = true;

export const state = {
    news: null,
    item: null,
};

export const mutations = {
    SET_NEWS(state, payload) {
        state.news = payload;
    },

    SET_ITEM(state, payload) {
        state.item = payload;
    }
};

export const actions = {
    async getAllNews({commit}) {
        try {
            const response = await NewsService.getNews();
            commit('SET_NEWS', response.data);
        } catch (error) {
            console.log(error)
        }
    },

    async getNewsById({commit}, id) {
        try {
            commit('SET_ITEM', null);
            const response = await NewsService.getNewsById(id);
            commit('SET_ITEM', response.data);
        } catch (error) {
            console.log(error)
        }
    },
};

export const getters = {
    news: (state) => state.news,
    item: (state) => state.item,
};
