import QuestionsService from '@/services/questions.js'

export const namespaced = true;

export const state = {
    questions: null,
    item: null,
};

export const mutations = {
    SET_QUESTIONS(state, payload) {
        state.questions = payload;
    },

    SET_ITEM(state, payload) {
        state.item = payload;
    }
};

export const actions = {
    async getAllQuestions({commit}) {
        try {
            const response = await QuestionsService.getQuestions();
            console.log(response)
            commit('SET_QUESTIONS', response.data);
        } catch (error) {
            console.log(error)
        }
    },

    async getQuestionsById({commit}, id) {
        try {
            commit('SET_ITEM', null);
            const response = await QuestionsService.getQuestionsById(id);
            commit('SET_ITEM', response.data);
        } catch (error) {
            console.log(error)
        }
    },
};

export const getters = {
    questions: (state) => state.questions,
    item: (state) => state.item,
};
