const { Pool } = require('pg')

const pool = new Pool({
  user: 'postgres',
  host: 'db',
  database: 'wna',
  password: 'postgres',
  port: 5432,
})

function insert(query, cb) {
    const result = pool.query(query, (err, res) => {
        if (err !== undefined) {
            // log the error to console
            console.log("Postgres INSERT error:", err);

            // get the keys for the error
            var keys = Object.keys(err);
            console.log("\nkeys for Postgres error:", keys);

            // get the error position of SQL string
            console.log("Postgres error position:", err.position);

            return cb(err);
        }

        // check if the response is not 'undefined'
        if (res !== undefined) {
            // log the response to console
            console.log("Postgres response:", res);

            // get the keys for the response object
            var keys = Object.keys(res);

            // log the response keys to console
            console.log("\nkeys type:", typeof keys);
            console.log("keys for Postgres response:", keys);

            if (res.rowCount > 0) {
              console.log("# of records inserted:", res.rowCount);
              cb(null, 1);
            } else {
              console.log("No records were inserted.");
              cb(null, -1);
            }
        }
    });
}

module.exports = { pool, insert };
