var { expressjwt: jwt } = require("express-jwt");
var { requiredScopes } = require('express-oauth2-jwt-bearer');
var jwksRsa = require('jwks-rsa');
var authConfig = require("./auth_config.json");

var jwtCheck = jwt({
  secret: jwksRsa.expressJwtSecret({
    cache: true,
    rateLimit: true,
    jwksRequestsPerMinute: 5,
    jwksUri: `https://${authConfig.domain}/.well-known/jwks.json`
  }),
  audience: authConfig.audience,
  issuer: `https://${authConfig.domain}/`,
  algorithms: ["RS256"]
});

var adminScope = requiredScopes('delete-inappropiate-users');

module.exports = { jwtCheck, adminScope };
