CREATE TABLE IF NOT EXISTS NEWS (
    id SERIAL PRIMARY KEY,
    title VARCHAR(100) NOT NULL,
    url TEXT,
    author VARCHAR(50),
    author_email VARCHAR(50),
    description TEXT
);

CREATE TABLE IF NOT EXISTS COMMENTS (
    id SERIAL PRIMARY KEY,
    ts TIMESTAMP,
    content TEXT,
    author VARCHAR(50),
    news_id INTEGER REFERENCES NEWS 
);

-- Add news

INSERT INTO
NEWS
    (title, url, author, author_email, description)
VALUES
    ('Ukraine Conflict Live Map',
    'https://liveuamap.com/?ll=48.11679266819489;37.739980468749984&zoom=8', 
    'Lucian Popescu',
    'lucian.popescu187@gmail.com',
    'Cool website showing a live map of the Russian-Ukrainian war'
    );

INSERT INTO
NEWS
    (title, url, author, author_email, description)
VALUES
    ('One App – Two Worlds: This Is TikTok in Russia and Ukraine',
    'https://www.nrk.no/osloogviken/xl/tiktok-doesn_t-show-the-war-in-ukraine-to-russian-users-1.15921522', 
    'Lucian Popescu',
    'lucian.popescu187@gmail.com',
    ''
    );

INSERT INTO
NEWS
    (title, url, author, author_email, description)
VALUES
    ('Ukraine calls on hacker underground to defend against Russia',
    'https://www.reuters.com/world/exclusive-ukraine-calls-hacker-underground-defend-against-russia-2022-02-24/', 
    'Lucian Popescu',
    'lucian.popescu187@gmail.com',
    ''
    );

INSERT INTO
NEWS
    (title, url, author, author_email, description)
VALUES
    ('Ukraine is a major producer of neon gas, critical for lasers used in chipmaking',
    'https://www.reuters.com/breakingviews/ukraine-war-flashes-neon-warning-lights-chips-2022-02-24/', 
    'Lucian Popescu',
    'lucian.popescu187@gmail.com',
    ''
    );

INSERT INTO
NEWS
    (title, url, author, author_email, description)
VALUES
    ('Russia to punish ‘fake news’ about Ukraine war with 15 years’ jail',
    'https://www.thetimes.co.uk/article/russia-to-punish-fake-news-about-ukraine-war-with-15-years-jail-grjl8gv55', 
    'Lucian Popescu',
    'lucian.popescu187@gmail.com',
    ''
    );

INSERT INTO
NEWS
    (title, url, author, author_email, description)
VALUES
    ('What is really happening in Ukraine',
    'https://www.slideshare.net/NazarBartosik/what-is-really-happening-in-ukraine', 
    'Lucian Popescu',
    'lucian.popescu187@gmail.com',
    ''
    );

INSERT INTO
NEWS
    (title, url, author, author_email, description)
VALUES
    ('How Russia Took over the Internet in Crimea and Eastern Ukraine',
    'https://www.datacenterdynamics.com/en/analysis/how-russia-took-over-the-internet-in-crimea-and-eastern-ukraine/', 
    'Lucian Popescu',
    'lucian.popescu187@gmail.com',
    ''
    );

INSERT INTO
NEWS
    (title, url, author, author_email, description)
VALUES
    ('An IT Army for Ukraine',
    'https://twitter.com/FedorovMykhailo/status/1497642156076511233', 
    'Lucian Popescu',
    'lucian.popescu187@gmail.com',
    ''
    );

INSERT INTO
NEWS
    (title, url, author, author_email, description)
VALUES
    ('Continental Europe successfully synced with Ukraine and Moldova power systems',
    'https://www.entsoe.eu/news/2022/03/16/continental-europe-successful-synchronisation-with-ukraine-and-moldova-power-systems/', 
    'Lucian Popescu',
    'lucian.popescu187@gmail.com',
    ''
    );

INSERT INTO
NEWS
    (title, url, author, author_email, description)
VALUES
    ('SpaceX avoided a Russian jamming attack in Ukraine',
    'https://www.c4isrnet.com/air/2022/04/20/spacex-shut-down-a-russian-electromagnetic-warfare-attack-in-ukraine-last-month-and-the-pentagon-is-taking-notes/', 
    'Lucian Popescu',
    'lucian.popescu187@gmail.com',
    ''
    );

INSERT INTO
NEWS
    (title, url, author, author_email, description)
VALUES
    ('Ukraine launches site to help families of captured and killed Russian soldiers',
    'https://200rf.com/', 
    'Lucian Popescu',
    'lucian.popescu187@gmail.com',
    ''
    );

-- Add questions

INSERT INTO
NEWS
    (title, url, author, author_email, description)
VALUES
    ('What Will War Between Russia and Ukraine Mean for the World?',
    '', 
    'Lucian Popescu',
    'lucian.popescu187@gmail.com',
    ''
    );

INSERT INTO
NEWS
    (title, url, author, author_email, description)
VALUES
    ('How is the Ukraine war being viewed within Russia?',
    '', 
    'Lucian Popescu',
    'lucian.popescu187@gmail.com',
    ''
    );

INSERT INTO
NEWS
    (title, url, author, author_email, description)
VALUES
    ('Why did Russia invade Ukraine?',
    '', 
    'Lucian Popescu',
    'lucian.popescu187@gmail.com',
    ''
    );

INSERT INTO
NEWS
    (title, url, author, author_email, description)
VALUES
    ('Can I be useful in the Ukraine crisis as software engineer?',
    '', 
    'Lucian Popescu',
    'lucian.popescu187@gmail.com',
    'I assume it is possible to develop tools that would help coordinating some efforts, sharing some specific types of information more efficiently. I cannott promise I will manage to devote myself to this, but I would like to try, or at least spark a discussion.'
    );

-- Add comments
INSERT INTO
COMMENTS
    (ts, content, author, news_id)
VALUES
    (NOW(),
    'Interesting map, thanks for sharing!',
    'Bianca Fodor',
    1
    );

INSERT INTO
COMMENTS
    (ts, content, author, news_id)
VALUES
    (NOW(),
    'I never thought that there could be such a difference between the content in the two countries!',
    'Bianca Fodor',
    2
    );

INSERT INTO
COMMENTS
    (ts, content, author, news_id)
VALUES
    (NOW(),
    'This feels unreal!',
    'John Doe',
    2
    );

INSERT INTO
COMMENTS
    (ts, content, author, news_id)
VALUES
    (NOW(),
    'Nice to learn something new!',
    'Ion Popescu',
    2
    );

INSERT INTO
COMMENTS
    (ts, content, author, news_id)
VALUES
    (NOW(),
    'I wonder what impact does this move have on the relations between Ukraine and the other UE countries.',
    'Bianca Fodor',
    3
    );
